# Fetching a single Workspace Resource Skill

This endpoint returns structured Workspace Resource Skill objects.
As with all Kantata OX API endpoints, the returned data will be referenced in sorted order in the results array
and will be indexed by ID in the workspace_resource_skills top-level JSON key.
Please see our Response Format section for more information.

Endpoint: GET /workspace_resource_skills/{id}
Version: 1.0.0

## Path parameters:

  - `id` (integer, required)
    The ID of the Model.

## Query parameters:

  - `include` (string)
    Any of the below associations can be included in your request by providing the include param, e.g. include=association1,association2.
- creator (User) - References the user who has created the skill association.
- skill (Skill) - References the skill assigned to the object.
- workspace_resource (WorkspaceResource) - References the workspace resource who has been assigned the skill.

## Response 200 fields (application/json):

  - `count` (integer)

  - `meta` (object)

  - `meta.count` (integer)

  - `meta.page_count` (integer)

  - `meta.page_number` (integer)

  - `meta.page_size` (integer)

  - `results` (array)

  - `results.key` (string)

  - `results.id` (string)

  - `workspace_resource_skills` (object)

  - `skills` (object)

  - `users` (object)

  - `workspace_resources` (object)

## Response 400 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)


